commit:     8a24691aa3412074d3fe6210a68013a3bc1743e3
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 19 22:03:29 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 19 22:03:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a24691a

x11-themes/commonbox-styles: update EAPI 6 -> 8

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../commonbox-styles-0.6-r1.ebuild                 | 28 ++++++++++++++++++++++
 .../commonbox-styles/commonbox-styles-0.6.ebuild   | 26 --------------------
 2 files changed, 28 insertions(+), 26 deletions(-)

diff --git a/x11-themes/commonbox-styles/commonbox-styles-0.6-r1.ebuild 
b/x11-themes/commonbox-styles/commonbox-styles-0.6-r1.ebuild
new file mode 100644
index 000000000000..f4779a3e9522
--- /dev/null
+++ b/x11-themes/commonbox-styles/commonbox-styles-0.6-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Common styles for fluxbox, blackbox, and openbox"
+HOMEPAGE="http://mkeadle.org/distfiles/";
+SRC_URI="
+       mirror://gentoo/${P}.tar.bz2
+       http://mkeadle.org/distfiles/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
+
+RDEPEND="
+       || (
+               x11-wm/fluxbox
+               x11-wm/blackbox
+               x11-wm/openbox
+       )"
+
+src_install() {
+       insinto /usr/share/commonbox
+       doins -r backgrounds styles
+
+       dodoc README.commonbox-styles STYLES.authors
+}

diff --git a/x11-themes/commonbox-styles/commonbox-styles-0.6.ebuild 
b/x11-themes/commonbox-styles/commonbox-styles-0.6.ebuild
deleted file mode 100644
index c487885dc7c1..000000000000
--- a/x11-themes/commonbox-styles/commonbox-styles-0.6.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Common styles for fluxbox, blackbox, and openbox"
-HOMEPAGE="http://mkeadle.org/distfiles/";
-SRC_URI="mirror://gentoo/${P}.tar.bz2
-               http://mkeadle.org/distfiles/${P}.tar.bz2";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
-IUSE=""
-
-RDEPEND="|| ( x11-wm/fluxbox x11-wm/blackbox x11-wm/openbox )"
-
-src_install() {
-       insinto /usr/share/commonbox/backgrounds
-       doins "${S}"/backgrounds/*
-
-       insinto /usr/share/commonbox/styles
-       doins "${S}"/styles/*
-
-       dodoc README.commonbox-styles STYLES.authors
-}

Reply via email to